Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geom
Class GeometryCollection

    java.lang.Object
      com.vividsolutions.jts.geom.Geometry
          com.vividsolutions.jts.geom.GeometryCollection

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

Direct Known Subclasses:
  MultiLineString, MultiPoint, MultiPolygon

public class GeometryCollection
extends Geometry

Basic implementation of `GeometryCollection`.

Version:
  1.7
See Also:
  Serialized Form

Field Summary
`protected Geometry[]` | `geometries` Internal representation of this `GeometryCollection`.

Fields inherited from class com.vividsolutions.jts.geom.Geometry
`envelope, factory, SRID`

Constructor Summary
`GeometryCollection(Geometry[] geometries, GeometryFactory factory)`
`GeometryCollection(Geometry[] geometries, PrecisionModel precisionModel, int SRID)` Deprecated. Use GeometryFactory instead

Method Summary
`void` | `apply(CoordinateFilter filter)` Performs an operation with or on this `Geometry`'s coordinates.
`void` | `apply(CoordinateSequenceFilter filter)` Performs an operation on the coordinates in this `Geometry`'s `CoordinateSequence`s.
`void` | `apply(GeometryComponentFilter filter)` Performs an operation with or on this Geometry and its component Geometry's.
`void` | `apply(GeometryFilter filter)` Performs an operation with or on this `Geometry` and its subelement `Geometry`s (if any).
`java.lang.Object` | `clone()` Creates and returns a full copy of this `GeometryCollection` object.
`protected int` | `compareToSameClass(java.lang.Object o)` Returns whether this `Geometry` is greater than, equal to, or less than another `Geometry` having the same class.
`protected int` | `compareToSameClass(java.lang.Object o, CoordinateSequenceComparator comp)` Returns whether this `Geometry` is greater than, equal to, or less than another `Geometry` of the same class.
`protected Envelope` | `computeEnvelopeInternal()` Returns the minimum and maximum x and y values in this `Geometry` , or a null `Envelope` if this `Geometry` is empty.
`boolean` | `equalsExact(Geometry other, double tolerance)` Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance.
`double` | `getArea()` Returns the area of this `GeometryCollection`
`Geometry` | `getBoundary()` Returns the boundary, or an empty geometry of appropriate dimension if this `Geometry` is empty.
`int` | `getBoundaryDimension()` Returns the dimension of this `Geometry`s inherent boundary.
`Coordinate` | `getCoordinate()` Returns a vertex of this `Geometry` (usually, but not necessarily, the first one).
`Coordinate[]` | `getCoordinates()` Collects all coordinates of all subgeometries into an Array.
`int` | `getDimension()` Returns the dimension of this geometry.
`Geometry` | `getGeometryN(int n)` Returns an element `Geometry` from a `GeometryCollection` (or `this`, if the geometry is not a collection).
`java.lang.String` | `getGeometryType()` Returns the name of this object's `com.vivid.jts.geom` interface.
`double` | `getLength()` Returns the length of this `Geometry`.
`int` | `getNumGeometries()` Returns the number of `Geometry`s in a `GeometryCollection` (or 1, if the geometry is not a collection).
`int` | `getNumPoints()` Returns the count of this `Geometry`s vertices.
`boolean` | `isEmpty()` Returns whether or not the set of points in this `Geometry` is empty.
`void` | `normalize()` Converts this `Geometry` to normal form (or canonical form ).
`Geometry` | `reverse()` Creates a `GeometryCollection` with every component reversed.

Methods inherited from class com.vividsolutions.jts.geom.Geometry
`buffer, buffer, buffer, checkNotGeometryCollection, compare, compareTo, compareTo, contains, convexHull, coveredBy, covers, crosses, difference, disjoint, distance, equal, equals, equalsExact, geometryChanged, geometryChangedAction, getCentroid, getEnvelope, getEnvelopeInternal, getFactory, getInteriorPoint, getPrecisionModel, getSRID, getUserData, hasNonEmptyElements, hasNullElements, intersection, intersects, isEquivalentClass, isGeometryCollection, isRectangle, isSimple, isValid, isWithinDistance, overlaps, relate, relate, setSRID, setUserData, symDifference, toString, toText, touches, union, union, within`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### geometries

    protected Geometry[] geometries

  Internal representation of this `GeometryCollection`.

Constructor Detail

### GeometryCollection

    public GeometryCollection(Geometry[] geometries,
                              PrecisionModel precisionModel,
                              int SRID)

  Deprecated. Use GeometryFactory instead

### GeometryCollection

    public GeometryCollection(Geometry[] geometries,
                              GeometryFactory factory)

Parameters:
  `geometries` - the `Geometry`s for this `GeometryCollection`, or `null` or an empty array to create the empty geometry. Elements may be empty `Geometry`s, but not `null`s.

Method Detail

### getCoordinate

    public Coordinate getCoordinate()

  Description copied from class: `Geometry`
  Returns a vertex of this `Geometry` (usually, but not necessarily, the first one). The returned coordinate should not be assumed to be an actual Coordinate object used in the internal representation.

  Specified by:
    `getCoordinate` in class `Geometry`
  Returns:
    a `Coordinate` which is a vertex of this `Geometry`.

### getCoordinates

    public Coordinate[] getCoordinates()

  Collects all coordinates of all subgeometries into an Array. Note that while changes to the coordinate objects themselves may modify the Geometries in place, the returned Array as such is only a temporary container which is not synchronized back.

  Specified by:
    `getCoordinates` in class `Geometry`
  Returns:
    the collected coordinates
  See Also:
    `geometryChanged`, `CoordinateSequence.setOrdinate(int, int, double)`

### isEmpty

    public boolean isEmpty()

  Description copied from class: `Geometry`
  Returns whether or not the set of points in this `Geometry` is empty.

  Specified by:
    `isEmpty` in class `Geometry`
  Returns:
    `true` if this `Geometry` equals the empty geometry

### getDimension

    public int getDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this geometry. The dimension of a geometry is is the topological dimension of its embedding in the 2-D Euclidean plane. In the JTS spatial model, dimension values are in the set {0,1,2}.

  Note that this is a different concept to the dimension of the vertex `Coordinate`s. The geometry dimension can never be greater than the coordinate dimension. For example, a 0-dimensional geometry (e.g. a Point) may have a coordinate dimension of 3 (X,Y,Z).

  Specified by:
    `getDimension` in class `Geometry`
  Returns:
    the topological dimension of this geometry.

### getBoundaryDimension

    public int getBoundaryDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this `Geometry`s inherent boundary.

  Specified by:
    `getBoundaryDimension` in class `Geometry`
  Returns:
    the dimension of the boundary of the class implementing this interface, whether or not this object is the empty geometry. Returns `Dimension.FALSE` if the boundary is the empty geometry.

### getNumGeometries

    public int getNumGeometries()

  Description copied from class: `Geometry`
  Returns the number of `Geometry`s in a `GeometryCollection` (or 1, if the geometry is not a collection).

  Overrides:
    `getNumGeometries` in class `Geometry`
  Returns:
    the number of geometries contained in this geometry

### getGeometryN

    public Geometry getGeometryN(int n)

  Description copied from class: `Geometry`
  Returns an element `Geometry` from a `GeometryCollection` (or `this`, if the geometry is not a collection).

  Overrides:
    `getGeometryN` in class `Geometry`
  Parameters:
    `n` - the index of the geometry element
  Returns:
    the n'th geometry contained in this geometry

### getNumPoints

    public int getNumPoints()

  Description copied from class: `Geometry`
  Returns the count of this `Geometry`s vertices. The `Geometry` s contained by composite `Geometry`s must be Geometry's; that is, they must implement `getNumPoints`

  Specified by:
    `getNumPoints` in class `Geometry`
  Returns:
    the number of vertices in this `Geometry`

### getGeometryType

    public java.lang.String getGeometryType()

  Description copied from class: `Geometry`
  Returns the name of this object's `com.vivid.jts.geom` interface.

  Specified by:
    `getGeometryType` in class `Geometry`
  Returns:
    the name of this `Geometry`s most specific `com.vividsolutions.jts.geom` interface

### getBoundary

    public Geometry getBoundary()

  Description copied from class: `Geometry`
  Returns the boundary, or an empty geometry of appropriate dimension if this `Geometry` is empty. (In the case of zero-dimensional geometries, ' an empty GeometryCollection is returned.) For a discussion of this function, see the OpenGIS Simple Features Specification. As stated in SFS Section 2.1.13.1, "the boundary of a Geometry is a set of Geometries of the next lower dimension."

  Specified by:
    `getBoundary` in class `Geometry`
  Returns:
    the closure of the combinatorial boundary of this `Geometry`

### getArea

    public double getArea()

  Returns the area of this `GeometryCollection`

  Overrides:
    `getArea` in class `Geometry`
  Returns:
    the area of the polygon

### getLength

    public double getLength()

  Description copied from class: `Geometry`
  Returns the length of this `Geometry`. Linear geometries return their length. Areal geometries return their perimeter. They override this function to compute the area. Others return 0.0

  Overrides:
    `getLength` in class `Geometry`
  Returns:
    the length of the Geometry

### equalsExact

    public boolean equalsExact(Geometry other,
                               double tolerance)

  Description copied from class: `Geometry`
  Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance. Two Geometries are exactly equal within a distance tolerance if and only if:
  - they have the same class
  - they have the same values for their vertices, within the given tolerance distance, in exactly the same order.
  If this and the other `Geometry`s are composites and any children are not `Geometry`s, returns `false`.

  Specified by:
    `equalsExact` in class `Geometry`
  Parameters:
    `other` - the `Geometry` with which to compare this `Geometry`
  Returns:
    `true` if this and the other `Geometry` are of the same class and have equal internal data.

### apply

    public void apply(CoordinateFilter filter)

  Description copied from class: `Geometry`
  Performs an operation with or on this `Geometry`'s coordinates. If this method modifies any coordinate values, `Geometry.geometryChanged()` must be called to update the geometry state. Note that you cannot use this method to modify this Geometry if its underlying CoordinateSequence's #get method returns a copy of the Coordinate, rather than the actual Coordinate stored (if it even stores Coordinate objects at all).

  Specified by:
    `apply` in class `Geometry`
  Parameters:
    `filter` - the filter to apply to this `Geometry`'s coordinates

### apply

    public void apply(CoordinateSequenceFilter filter)

  Description copied from class: `Geometry`
  Performs an operation on the coordinates in this `Geometry`'s `CoordinateSequence`s. If the filter reports that a coordinate value has been changed, `Geometry.geometryChanged()` will be called automatically.

  Specified by:
    `apply` in class `Geometry`
  Parameters:
    `filter` - the filter to apply

### apply

    public void apply(GeometryFilter filter)

  Description copied from class: `Geometry`
  Performs an operation with or on this `Geometry` and its subelement `Geometry`s (if any). Only GeometryCollections and subclasses have subelement Geometry's.

  Specified by:
    `apply` in class `Geometry`
  Parameters:
    `filter` - the filter to apply to this `Geometry` (and its children, if it is a `GeometryCollection`).

### apply

    public void apply(GeometryComponentFilter filter)

  Description copied from class: `Geometry`
  Performs an operation with or on this Geometry and its component Geometry's. Only GeometryCollections and Polygons have component Geometry's; for Polygons they are the LinearRings of the shell and holes.

  Specified by:
    `apply` in class `Geometry`
  Parameters:
    `filter` - the filter to apply to this `Geometry`.

### clone

    public java.lang.Object clone()

  Creates and returns a full copy of this `GeometryCollection` object. (including all coordinates contained by it).

  Overrides:
    `clone` in class `Geometry`
  Returns:
    a clone of this instance

### normalize

    public void normalize()

  Description copied from class: `Geometry`
  Converts this `Geometry` to normal form (or canonical form ). Normal form is a unique representation for `Geometry` s. It can be used to test whether two `Geometry`s are equal in a way that is independent of the ordering of the coordinates within them. Normal form equality is a stronger condition than topological equality, but weaker than pointwise equality. The definitions for normal form use the standard lexicographical ordering for coordinates. "Sorted in order of coordinates" means the obvious extension of this ordering to sequences of coordinates.

  Specified by:
    `normalize` in class `Geometry`

### computeEnvelopeInternal

    protected Envelope computeEnvelopeInternal()

  Description copied from class: `Geometry`
  Returns the minimum and maximum x and y values in this `Geometry` , or a null `Envelope` if this `Geometry` is empty. Unlike `getEnvelopeInternal`, this method calculates the `Envelope` each time it is called; `getEnvelopeInternal` caches the result of this method.

  Specified by:
    `computeEnvelopeInternal` in class `Geometry`
  Returns:
    this `Geometry`s bounding box; if the `Geometry` is empty, `Envelope#isNull` will return `true`

### compareToSameClass

    protected int compareToSameClass(java.lang.Object o)

  Description copied from class: `Geometry`
  Returns whether this `Geometry` is greater than, equal to, or less than another `Geometry` having the same class.

  Specified by:
    `compareToSameClass` in class `Geometry`
  Parameters:
    `o` - a `Geometry` having the same class as this `Geometry`
  Returns:
    a positive number, 0, or a negative number, depending on whether this object is greater than, equal to, or less than `o`, as defined in "Normal Form For Geometry" in the JTS Technical Specifications

### compareToSameClass

    protected int compareToSameClass(java.lang.Object o,
                                     CoordinateSequenceComparator comp)

  Description copied from class: `Geometry`
  Returns whether this `Geometry` is greater than, equal to, or less than another `Geometry` of the same class. using the given `CoordinateSequenceComparator`.

  Specified by:
    `compareToSameClass` in class `Geometry`
  Parameters:
    `o` - a `Geometry` having the same class as this `Geometry`
    `comp` - a `CoordinateSequenceComparator`
  Returns:
    a positive number, 0, or a negative number, depending on whether this object is greater than, equal to, or less than `o`, as defined in "Normal Form For Geometry" in the JTS Technical Specifications

### reverse

    public Geometry reverse()

  Creates a `GeometryCollection` with every component reversed. The order of the components in the collection are not reversed.

  Specified by:
    `reverse` in class `Geometry`
  Returns:
    a `GeometryCollection` in the reverse order

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD